org.jfree.chart.renderer.xy

## Class StandardXYItemRenderer.State

- java.lang.Object
- - org.jfree.chart.renderer.RendererState
  - - org.jfree.chart.renderer.xy.XYItemRendererState
    - - org.jfree.chart.renderer.xy.StandardXYItemRenderer.State

- Enclosing class:
    StandardXYItemRenderer

      public static class StandardXYItemRenderer.State
      extends XYItemRendererState

  Records the state for the renderer. This is used to preserve state information between calls to the drawItem() method for a single chart drawing.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.awt.geom.GeneralPath` | `seriesPath` The path for the current series.

    - ### Fields inherited from class org.jfree.chart.renderer.xy.XYItemRendererState

      `workingLine`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `State(PlotRenderingInfo info)` Creates a new state instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSeriesIndex()` Returns the series index for the current path.
    `boolean` | `isLastPointGood()` Returns a flag that indicates if the last point drawn (in the current series) was 'good' (non-null).
    `void` | `setLastPointGood(boolean good)` Sets a flag that indicates if the last point drawn (in the current series) was 'good' (non-null).
    `void` | `setSeriesIndex(int index)` Sets the series index for the current path.

    - ### Methods inherited from class org.jfree.chart.renderer.xy.XYItemRendererState

      `endSeriesPass, getFirstItemIndex, getLastItemIndex, getProcessVisibleItemsOnly, setProcessVisibleItemsOnly, startSeriesPass`

    - ### Methods inherited from class org.jfree.chart.renderer.RendererState

      `getEntityCollection, getInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### seriesPath

          public java.awt.geom.GeneralPath seriesPath

      The path for the current series.

  - ### Constructor Detail

    - #### State

          public State(PlotRenderingInfo info)

      Creates a new state instance.
      Parameters:
        `info` - the plot rendering info.

  - ### Method Detail

    - #### isLastPointGood

          public boolean isLastPointGood()

      Returns a flag that indicates if the last point drawn (in the current series) was 'good' (non-null).
      Returns:
        A boolean.

    - #### setLastPointGood

          public void setLastPointGood(boolean good)

      Sets a flag that indicates if the last point drawn (in the current series) was 'good' (non-null).
      Parameters:
        `good` - the flag.

    - #### getSeriesIndex

          public int getSeriesIndex()

      Returns the series index for the current path.
      Returns:
        The series index for the current path.

    - #### setSeriesIndex

          public void setSeriesIndex(int index)

      Sets the series index for the current path.
      Parameters:
        `index` - the index.